# Uses of Interface
org.codehaus.janino.Java.AnnotationTypeDeclaration

Packages that use Java.AnnotationTypeDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.AnnotationTypeDeclaration in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.AnnotationTypeDeclaration
Modifier and Type
Class
Description
`static final class`
`Java.MemberAnnotationTypeDeclaration`
Representation of a member annotation type declaration, a.k.a.
`static final class`
`Java.PackageMemberAnnotationTypeDeclaration`
Representation of a package member annotation type declaration, a.k.a.
Methods in org.codehaus.janino that return Java.AnnotationTypeDeclaration
Modifier and Type
Method
Description
`Java.AnnotationTypeDeclaration`
Parser.`parseAnnotationTypeDeclarationRest(String docComment, Java.Modifier[] modifiers, Parser.InterfaceDeclarationContext context)`
AnnotationTypeDeclarationRest := Identifier AnnotationTypeBody